//
//  CSJLabelDesign.h
//  Citizen_iOS_LabelZPL
//
//  Created by Citizen on 2018/04/09
//  Copyright 2018 Citizen. All rights reserved.
//

#ifndef CSJLabelDesign_h
#define CSJLabelDesign_h

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>


@interface CSJLabelDesign : NSObject
{
}

- (int) drawTextPtrFont:(NSString*)data locale:(int)locale font:(int)font rotation:(int)rotation hexp:(int)hexp vexp:(int)vexp size:(int)size x:(int)x y:(int)y;
- (int) drawTextPtrFont:(NSString*)data locale:(int)locale font:(int)font rotation:(int)rotation hexp:(int)hexp vexp:(int)vexp size:(int)size x:(int)x y:(int)y encoding:(int)encoding;
- (int) drawTextDLFont:(NSString*)data encoding:(int)encoding fontID:(NSString*)fontID rotation:(int)rotation hexp:(int)hexp vexp:(int)vexp point:(int)point x:(int)x y:(int)y;
- (int) drawTextLocalFont:(NSString*)data fontName:(NSString*)fontName rotation:(int)rotation hRatio:(int)hRatio vRatio:(int)vRatio point:(int)point style:(int)style x:(int)x y:(int)y;
- (int) drawTextLocalFont:(NSString*)data fontName:(NSString*)fontName rotation:(int)rotation hRatio:(int)hRatio vRatio:(int)vRatio point:(int)point style:(int)style x:(int)x y:(int)y resolution:(int)resolution;
- (int) drawTextLocalFont:(NSString*)data fontName:(NSString*)fontName rotation:(int)rotation hRatio:(int)hRatio vRatio:(int)vRatio point:(int)point style:(int)style x:(int)x y:(int)y resolution:(int)resolution measurementUnit:(int)measurementUnit;
- (int) drawBarCode:(NSString*)data symbology:(int)symbology rotation:(int)rotation thick:(int)thick narrow:(int)narrow height:(int)height x:(int)x y:(int)y showText:(int)showText;
- (int) drawMaxiCode:(NSArray*)data rotation:(int)rotation x:(int)x y:(int)y;
- (int) drawPDF417:(NSString*)data encoding:(int)encoding rotation:(int)rotation exp:(int)exp ECLevel:(int)ECLevel x:(int)x y:(int)y;
- (int) drawDataMatrix:(NSString*)data encoding:(int)encoding rotation:(int)rotation exp:(int)exp ECLevel:(int)ECLevel x:(int)x y:(int)y;
- (int) drawQRCode:(NSString*)data encoding:(int)encoding rotation:(int)rotation exp:(int)exp ECLevel:(int)ECLevel x:(int)x y:(int)y;
- (int) drawAztec:(NSString*)data encoding:(int)encoding rotation:(int)rotation exp:(int)exp ECLevel:(int)ECLevel x:(int)x y:(int)y;
- (int) drawGS1DataBar:(NSArray*)data type:(int)type rotation:(int)rotation exp:(int)exp x:(int)x y:(int)y;
- (int) drawNVBitmap:(NSString*)name hexp:(int)hexp vexp:(int)vexp x:(int)x y:(int)y;
- (int) drawBitmap:(NSString*)filePath rotation:(int)rotation width:(int)width height:(int)height x:(int)x y:(int)y;
- (int) drawBitmap:(NSString*)filePath rotation:(int)rotation width:(int)width height:(int)height x:(int)x y:(int)y resolution:(int)resolution measurementUnit:(int)measurementUnit;
- (int) drawLine:(int)x1 y1:(int)y1 x2:(int)x2 y2:(int)y2 thickness:(int)thickness;
- (int) drawRect:(int) x y:(int)y width:(int)width height:(int)height thickness:(int)thickness;
- (int) fillRect:(int) x y:(int)y width:(int)width height:(int)height pattern:(int)pattern;
- (int) drawCircle:(int) x y:(int)y radius:(int)radius;
- (int) fillCircle:(int) x y:(int)y radius:(int)radius pattern:(int)pattern;
- (int) drawPolygon:(NSArray*)x y:(NSArray*)y;
- (int) fillPolygon:(NSArray*)x y:(NSArray*)y pattern:(int)pattern;
//- (int) embedRawDesignCommand:(unsigned char*)data;
- (int) embedRawDesignCommand:(unsigned char*)data withLength:(unsigned long)length;
- (NSObject*) sysio:(int)_id commands:(unsigned char*)commands;

@end

#endif /* CSJLabelDesign_h */
